package org.gcube.portlets.user.workspace.client.model;

import java.io.Serializable;

import org.gcube.portlets.user.workspace.client.ConstantsExplorer;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 *
 */
public class InfoContactModel extends BaseModelData implements Serializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public InfoContactModel() {}

	public InfoContactModel(String id, String login, String name) {
		setId(id);
		setLogin(login);
		setName(name);
		setCheck(false);
	}
	
	public void setName(String name) {
		set("fullname",name);
		
	}
	
	public String getName(){
		return get("fullname");
	}

	public String getId() {
		return get("id");
	}

	public void setId(String id) {
		set("id", id);
	}

	public String getLogin() {
		return get(ConstantsExplorer.LOGIN);
	}

	public void setLogin(String login) {
		set(ConstantsExplorer.LOGIN, login);
	}
	
	public void setCheck(Boolean bool){
		set("check", bool);
	}
	
	public Boolean isCheck(){
		return (Boolean) get("check");
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("InfoContactModel [getName()=");
		builder.append(getName());
		builder.append(", getId()=");
		builder.append(getId());
		builder.append(", getLogin()=");
		builder.append(getLogin());
		builder.append(", isCheck()=");
		builder.append(isCheck());
		builder.append("]");
		return builder.toString();
	}
	
	
}